.bookBLOCK {
  width: 80%;
  background: var(--secondaryBg);
  margin-inline: auto;
  list-style: none;
  display: grid;
  grid-template-columns: repeat(auto-fit, 90px);
  grid-template-rows: repeat(auto-fit, 90px);
  grid-auto-columns: repeat(auto-fit, 90px);
  grid-gap: 10px;
  border-radius: 5px 5px 0 0;
  place-items: center;
  padding: 10px;
  margin: 70px 0 0 0;
  justify-content: center;
  overflow: hidden;
}
sup,
sub {
  color: inherit;
}
.bookBLOCK li {
  text-align: center;
  color: var(--text);
  text-transform: capitalize;
  display: flex;
  justify-content: center;
  align-items: center;
  background: var(--bg);
  width: 75px;
  height: 75px;
  border-radius: 50%;
  cursor: pointer;
  font-weight: 900;
  box-shadow: 1px 1px 7px grey;
  outline: 2.5px solid var(--highlight);
  transition:
    background 0.4s linear,
    outline 0.1s linear,
    color 0.4s linear,
    box-shadow 0.4s linear;
}
.bookBLOCK li:hover {
  background: var(--secondaryBg);
  color: var(--bg);
  outline: 2.5px solid var(--bg);
}

.lib {
  width: 80%;
  height: max-content;
  margin: 0 auto;
  list-style: none;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  margin-inline: auto;
  background: var(--secondaryBg);
  overflow: hidden;
  border-radius: 0 0 10px 10px;
  padding: 0 0 20px 0;
  margin-bottom: 70px;
}

.lib ul {
  width: 100%;
  min-height: max-content;
  margin-inline: auto;
  list-style: none;
}
.list {
  position: relative;
}
.grid {
  width: 80%;
  padding: 10px 0;
  background: var(--bg);
  margin-inline: auto;
  border-radius: 0 0 10px 10px;
  outline: 3.5px solid var(--text);
  margin-bottom: 20px;
}
.grid ul {
  width: 100%;
  height: max-content;
  display: grid;
  grid-template-columns: repeat(auto-fit, 90px);
  grid-template-rows: repeat(auto-fit, 90px);
  grid-auto-columns: repeat(auto-fit, 90px);
  grid-auto-rows: repeat(auto-fit, 90px);
  place-items: center;
  justify-content: center;
  gap: 10px;
}
.lib ul li {
  width: 70px;
  height: 70px;
  cursor: pointer;
  border-radius: 50%;
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
}

.frame {
  width: 100%;
  height: 500px;
  display: flex;
  justify-content: center;
  align-items: center;
  transform-origin: center;
  align-self: center;
  transition: aspect-ratio 0.4s ease-in;
  &:hover .zoom {
    opacity: 1;
  }
}

iframe {
  width: 80%;
  height: 95%;
  background: var(--bg);
  border-radius: 10px;
  transition: all 0.4s linear;
  outline: 3.5px solid var(--highlight);
  &:hover {
    box-shadow: 1px 1px 10px 1px var(--bg);
  }
}

.list li {
  box-shadow: 1px 1px 7px grey;
  width: 100%;
  text-align: center;
  background: var(--secondaryBg);
  padding: 5px 10px;
  border-radius: 50px;
  outline: 2.5px solid var(--bg);
  transition:
    background 0.3s ease-in-out,
    outline 0.3s ease-in-out,
    color 0.3s ease-in-out,
    box-shadow 0.3s ease-in-out;
  &:hover {
    color: var(--highlight);
    outline: 2.5px solid var(--highlight);
    background: var(--bg);
    scale: 1.1;
  }
}
.courseName {
  font-size: 1.7rem;
  text-transform: uppercase;
  width: 80%;
  height: 30px;
  transition: all 0.2s linear;
  opacity: 0;
  /* font-family: asb; */
  display: flex;
  align-items: center;
  margin: 3px 0;
}
.popup {
  width: 100vw;
  height: 100vh;
  background: transparent;
  backdrop-filter: blur(13px);
  position: fixed;
  z-index: 10;
  display: flex;
  justify-content: center;
  align-items: center;
  scale: 0;
  transition: all 0.5s linear;
  transform-origin: top;
}

.UNITdata {
  width: 100%;
  height: 100%;
  overflow: auto;
  display: flex;
  flex-direction: column;
  & > li {
    border: 5px solid var(--secondaryBg);
  }
}

.UNITdata li {
  width: 80%;
  text-align: center;
  list-style: none;
  font-size: 1.4rem;
  border-radius: 7px;
  transition: all 0.5s ease;
  cursor: pointer;
  padding: 20px;
  align-self: center;
  margin: 20px;
  height: max-content;
  background: var(--secondaryBg);
}
.UNITdata li ul {
  display: grid;
  grid-template-columns: repeat(auto-fit, 120px);
  grid-template-rows: repeat(auto-fit, 40px);
  grid-auto-columns: repeat(auto-fit, 120px);
  grid-auto-rows: repeat(auto-fit, 40px);
  margin-inline: minmax(0, 40px);
  margin-top: 60px;
  margin-bottom: 60px;
  grid-gap: 10px;
  justify-content: center;
}
.UNITdata li ul li {
  background: var(--bg);
  outline: 3px solid transparent;
  &:hover {
    outline: 3px solid var(--highlight);
    background: var(--text);
    color: var(--bg);
  }
}

.leftZoom,
.rightZoom {
  position: absolute;
  font-weight: 900;
  font-size: 1.2rem;
  transition: all 0.7s linear;
}

.zoom {
  position: absolute;
  transition: all 0.3s linear;
  cursor: pointer;
  opacity: 0;
  top: 0;
  z-index: 9;
  width: 40px;
  height: 40px;
  background: var(--secondaryBg);
  backdrop-filter: blur(23px);
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50px;
  margin: 30px;
}

.leftZoom {
  transform: translateX(-100%);
}

.rightZoom {
  transform: translateX(100%);
}
.block2 {
  position: fixed;
  width: 100%;
  height: 100vh;
  display: none;
}
.highlight {
  font-size: 1.3rem;
  background: var(--secondaryBg);
  padding: 16px;
  border-radius: 50px 0 0 50px;
  width: 100px;
  height: 75px;
  display: flex;
  align-items: center;
}
.flash {
  position: absolute;
  width: 80%;
  height: 7px;
  margin-inline: auto;
  /* opacity: 0; */
  transition: all 0.4s linear;
  left: 50%;
  transform: translateX(-50%);
}
.flasher {
  position: absolute;
  width: 100%;
  height: 100%;
  background: var(--secondaryBg);
}
.hidden {
  display: none;
}
@keyframes full {
  100% {
    width: 100%;
  }
}
